summaryrefslogtreecommitdiff
path: root/solenv
diff options
context:
space:
mode:
authorobo <obo@openoffice.org>2010-06-14 17:03:59 +0200
committerobo <obo@openoffice.org>2010-06-14 17:03:59 +0200
commit3eb0497e22bdbc472f5187e74ba6d145bd7464c2 (patch)
treebd6a71b0d6b2b73c6b47724dbcc802f0399531be /solenv
parent4563f8267601b239dd2950a91775ca93a91e437d (diff)
parentff3cef97b89b5a7d70172f3c59b71cdd2de05785 (diff)
CWS-TOOLING: integrate CWS l10ntooling18
Diffstat (limited to 'solenv')
-rwxr-xr-xsolenv/bin/gsicheck18
-rw-r--r--solenv/bin/make_installer.pl4
-rw-r--r--solenv/bin/modules/installer/ziplist.pm10
3 files changed, 32 insertions, 0 deletions
diff --git a/solenv/bin/gsicheck b/solenv/bin/gsicheck
new file mode 100755
index 000000000000..9b898c9d5950
--- /dev/null
+++ b/solenv/bin/gsicheck
@@ -0,0 +1,18 @@
+#!/bin/sh
+if [ x${SOLARENV}x = xx ]; then
+ echo No environment found, please use 'setsolar'
+exit 1
+fi
+
+if [ "${OS?}" = MACOSX ]; then
+ export DYLD_LIBRARY_PATH=${DYLD_LIBRARY_PATH+${DYLD_LIBRARY_PATH}:}${SOLARVERSION?}/${INPATH?}/lib${UPDMINOREXT}
+else
+ export LD_LIBRARY_PATH=${LD_LIBRARY_PATH+${LD_LIBRARY_PATH}:}${SOLARVERSION?}/${INPATH?}/lib${UPDMINOREXT}
+fi
+
+if [ x${SOLARVER}x = xx -o x${UPDMINOREXT}x = xx ]; then
+ exec $SOLARVERSION/$INPATH/bin/gsicheck "$@"
+else
+ exec $SOLARVERSION/$INPATH/bin$UPDMINOREXT/gsicheck "$@"
+fi
+
diff --git a/solenv/bin/make_installer.pl b/solenv/bin/make_installer.pl
index 197f985bbf83..bc1a6467698c 100644
--- a/solenv/bin/make_installer.pl
+++ b/solenv/bin/make_installer.pl
@@ -257,6 +257,10 @@ if ( $installer::globals::globallogging ) { installer::files::save_hash($logging
installer::ziplist::add_variables_to_allvariableshashref($allvariableshashref);
if ( $installer::globals::globallogging ) { installer::files::save_hash($loggingdir . "allvariables3b.log", $allvariableshashref); }
+installer::ziplist::overwrite_ooovendor( $allvariableshashref );
+if ( $installer::globals::globallogging ) { installer::files::save_hash($loggingdir . "allvariables3c.log", $allvariableshashref); }
+
+
########################################################
# Check if this is simple packaging mechanism
########################################################
diff --git a/solenv/bin/modules/installer/ziplist.pm b/solenv/bin/modules/installer/ziplist.pm
index 09b7718e2992..ddc98c43bdb7 100644
--- a/solenv/bin/modules/installer/ziplist.pm
+++ b/solenv/bin/modules/installer/ziplist.pm
@@ -762,6 +762,16 @@ sub replace_variables_in_ziplist_variables
}
###########################################################
+# Overwrite the vendor string in openoffice.lst that is defined in configure
+###########################################################
+
+sub overwrite_ooovendor
+{
+ my ($variableshashref) = @_;
+ $variableshashref->{'OOOVENDOR'} = $ENV{'OOO_VENDOR'} , if( defined $ENV{'OOO_VENDOR'} && $ENV{'OOO_VENDOR'} ne "" );
+}
+
+###########################################################
# Adding the lowercase variables into the variableshashref
###########################################################